# <a name="EtsiTs103759AsrDenm"></a>ASN.1 module EtsiTs103759AsrDenm
OID: _{itu-t(0) identified-organization(4) etsi(0) itsDomain(5) wg5(5) ts(103759) aid-specific(2) denm(37) major-version-1(1) minor-version-1(1)}_

## Imports:
* **[EtsiTs103759BaseTypes](EtsiTs103759BaseTypes.md)** *{itu-t(0) identified-organization(4) etsi(0) itsDomain(5) wg5(5) ts(103759) general(1) base-types(3) major-version-1(1) minor-version-1 (1)} WITH SUCCESSORS*<br/>
* **[EtsiTs103759CommonObservations](EtsiTs103759CommonObservations.md)** *{itu-t(0) identified-organization(4) etsi(0) itsDomain(5) wg5(5) ts(103759) general(1) common-observations(2) major-version-1(1) minor-version-2(2)} WITH SUCCESSORS*<br/>
* **[Ieee1609Dot2BaseTypes](Ieee1609Dot2BaseTypes.md)** *{iso(1) identified-organization(3) ieee(111) standards-association-numbered-series-standards(2) wave-stds(1609) dot2(2) base(1) base-types(2) major-version-2(2) minor-version-4(4)} WITH SUCCESSORS*<br/>
## Data Elements:
### <a name="AsrDenm"></a>AsrDenm
```asn1
AsrDenm ::= TemplateAsr {{SetMbObsTgtsDenm}, {SetMbEvDenm}}
```

### <a name="IdDenmTgt"></a>IdDenmTgt
```asn1
IdDenmTgt ::= Uint8
```

```asn1
c-DenmTgt-BeaconCommon    IdDenmTgt ::= 0
c-DenmTgt-StaticCommon    IdDenmTgt ::= 1
c-DenmTgt-SecurityCommon  IdDenmTgt ::= 2
c-DenmTgt-TrafficJam-TrafficJamAhead     IdDenmTgt ::= 3
c-DenmTgt-DangerousSituation-Eebl  IdDenmTgt ::= 4
```

### <a name="SetMbObsDenmBeacon"></a>SetMbObsDenmBeacon
```asn1
SetMbObsDenmBeacon C-ASR-SINGLE-OBS ::= {
  obs-Beacon-IntervalTooSmall,
  ...
}
```

### <a name="SetMbObsDenmStatic"></a>SetMbObsDenmStatic
```asn1
SetMbObsDenmStatic C-ASR-SINGLE-OBS ::= {
  obs-Static-Change,
  ...
}
```

### <a name="SetMbObsDenmSecurity"></a>SetMbObsDenmSecurity

Values:
* **obs-Security-MessageIdIncWithHeaderInfo** |<br>
* **obs-Security-HeaderIncWithSecurityProfile** |<br>
* **obs-Security-HeaderPsidIncWithCertificate** |<br>
* **obs-Security-MessageIncWithSsp** |<br>
* **obs-Security-HeaderTimeOutsideCertificateValidity** |<br>
* **obs-Security-MessageLocationOutsideCertificateValidity** |<br>
```asn1
SetMbObsDenmSecurity C-ASR-SINGLE-OBS ::= {
  obs-Security-MessageIdIncWithHeaderInfo |
  obs-Security-HeaderIncWithSecurityProfile |
  obs-Security-HeaderPsidIncWithCertificate |
  obs-Security-MessageIncWithSsp |
  obs-Security-HeaderTimeOutsideCertificateValidity |
  obs-Security-MessageLocationOutsideCertificateValidity |
  obs-Security-HeaderLocationOutsideCertificateValidity, 
  ...
}
```

### <a name="SetMbObsDenmTrafficJam-TrafficJamAhead"></a>SetMbObsDenmTrafficJam-TrafficJamAhead

Values:
* **obs-RoadTypeIncWithTrafficJamAhead** |<br>
```asn1
SetMbObsDenmTrafficJam-TrafficJamAhead C-ASR-SINGLE-OBS ::= {
  obs-RoadTypeIncWithTrafficJamAhead |
  obs-PathChangeInMultipleRepetitions,
  ...
}
```

### <a name="SetMbObsDenmDangerousSituation-Eebl"></a>SetMbObsDenmDangerousSituation-Eebl

Values:
* **obs-EeblMissingLocationInformation** |<br>
```asn1
SetMbObsDenmDangerousSituation-Eebl C-ASR-SINGLE-OBS ::= {
  obs-EeblMissingLocationInformation |
  obs-EeblIncWithOtherVehiclesSpeed,
  ...
}
```

### <a name="SetMbObsTgtsDenm"></a>SetMbObsTgtsDenm
```asn1
SetMbObsTgtsDenm C-ASR-OBS-BY-TGT ::= {
  {MbSingleObservation{{SetMbObsDenmBeacon}}   BY 
    c-DenmTgt-BeaconCommon} |
  {MbSingleObservation{{SetMbObsDenmStatic}}   BY 
    c-DenmTgt-StaticCommon} |
  {MbSingleObservation{{SetMbObsDenmSecurity}} BY 
    c-DenmTgt-SecurityCommon} |
  {MbSingleObservation{{SetMbObsDenmTrafficJam-TrafficJamAhead}}    BY 
    c-DenmTgt-TrafficJam-TrafficJamAhead} |
  {MbSingleObservation{{SetMbObsDenmDangerousSituation-Eebl}} BY 
    c-DenmTgt-DangerousSituation-Eebl} 
  ,
  ... 
}
```

### <a name="SetMbEvDenm"></a>SetMbEvDenm
```asn1
SetMbEvDenm C-ASR-EV ::= {
  ...
}
```



